#!/usr/bin/python

import sys
import os
import re
import ConfigParser
from subprocess import call, check_output, CalledProcessError
from sys import stdout
import webbrowser

conffile="/Applications/MRAID/archttpsrv.conf"
protocol="http://"
ip="localhost"
port="81"
url=""

def GetSectionMap(section):
    dict = {}
    options = Config.options(section)
    for option in options:
        try:
            dict[option] = Config.get(section, option).lower()
        except:            
            dict[option] = None
    return dict

Config = ConfigParser.ConfigParser()
Config.read(conffile)	
genopt = GetSectionMap("GENERAL")

''' get httpport '''
if("httpport" in genopt):
    if(genopt["httpport"] != None and len(genopt["httpport"])):
        port = genopt["httpport"]
	
''' get protocol '''
if("https" in genopt):
    if(genopt["https"] != None and genopt["https"] == "yes"):
        protocol = "https://"
	
''' get ip '''	
if("bindingip" in genopt):
    if(genopt["bindingip"] != None and len(genopt["bindingip"])):
        if(genopt["bindingip"] != "0.0.0.0"):
	        ip=genopt["bindingip"]
	
''' lanuch web browser '''
url=protocol+ip+":"+port
webbrowser.open(url)